#pragma once


struct VERTEXBG
{
    float x, y, z; //  
	D3DCOLOR color;//  
	float tu, tv;  //  
};

#define D3DFVF_VERTEXBG (D3DFVF_XYZ|D3DFVF_DIFFUSE|D3DFVF_TEX1)

//     
//    .
class CBackground
{
public:
	CBackground(void);
	~CBackground(void);


	HRESULT InitVertex(LPDIRECT3DDEVICE9 pd3dDevice);
	HRESULT Render(LPDIRECT3DDEVICE9 pd3dDevice);
	HRESULT SetTexture(LPDIRECT3DDEVICE9 pd3dDevice, const CString& filename);
	HRESULT Restore(float x, float y);
	void LoadPicture(LPDIRECT3DDEVICE9 pd3dDevice);
	//    
	void SetColorBG(void);
	D3DCOLOR GetColorBG(void){return m_ColorBG;}
	void DataToRegistry(HKEY hKey);
	void DataFromRegistry(HKEY hKey, LPDIRECT3DDEVICE9 pd3dDevice);
	

	CString m_StoreFileImage;

private: 
	LPDIRECT3DTEXTURE9 m_pTexture_BG;
	LPDIRECT3DVERTEXBUFFER9 m_pVB_BG;
	VERTEXBG* m_pVertices_BG;
	D3DCOLOR m_ColorBG;  //   
	BOOL m_IsTextureBG;
	
};
